# [M:line]
#
# First some information about the server.
# M:<server name>:<virtual host>:<description>:<not used>:<server numeric>
#
# <virtual host> must contain either a * or a valid IPv4 address in
# dotted quad notation. (127.0.0.1) The address MUST be the address
# of a physical interface on the host. This address is used for outgoing
# connections only, see P:lines for listener virtual hosting.
# If in doubt put a * or the IP of your primary interface here.
# The server must be compiled with virtual hosting turned on to get this
# to work correctly.
#
# Note that <server numeric> has to be unique on the network your server
# is running on, must be between 0 and 4095, and is not updated on a rehash.
M:Vamp.Net:69.39.230.158:Irc Vampire Server::1


# [A:line]
#
# This sets information that can be retrieved with the /ADMIN command.
# It should contain at least an admin Email contact address.
# A:<line 1>:<line 2>:<line 3>
A:The Vampire Organisation:Server Vampirised By :Eldianel


# [Y:lines]
#
# All connections to the server are associated with a certain "connection
# class", be they incoming or outgoing (initiated by the server), be they
# clients, servers or Martians. (Note that ircd doesn't have direct support
# for Martians (yet?); they will have to register as normal users. ;-)
# Take the following Y: lines only as a guide.
# Y:<class>:<ping freq>:<connect freq>:<maximum links>:<sendq size>
#
# <connect freq> applies only to servers, and specifies the frequency 
# that the server tries to autoconnect. setting this to 0 will cause
# the server to attempt to connect repeatedly with no delay until the 
# <maximum links> condition is satisfied. This is a Bad Thing(tm).
#
# <maximum links> should be set at either 0 or 1.
#
# Server classes: 90 = all your uplinks for who you do not wish to hub;
# 80 = leaf servers (only used if your server is a hub)
# Client classes. 10 = locals; 2 = for all .net and .com that are not
# in Europe; 1 = for everybody.
Y:90:90:300:1:9000000
Y:80:90:300:0:9000000
Y:10:90:0:100:160000
Y:2:90:0:5:80000
Y:1:90:0:400:160000

# [I:lines]
#
# To allow clients to connect, they need authorization. This can be
# done based on hostmask, address mask, and/or with a password.
# With intelligent use of classes and the maxconnections field in the
# Y: lines, you can let in a specific domain, but get rid of all other
# domains in the same toplevel, thus setting up some sort of "reverse
# K: line".
# I:<IP mask or crap to force resolving>:<opt passwd>:<hostmask>::<class>
#
# Technical description (for examples, see below):
# For every connecting client, the IP address is known.  A reverse lookup
# on this IP-number is done to get the (/all) hostname(s).
# Each hostname that belongs to this IP-number is matched to <hostmask>,
# and the I: line is used when any matches; the client will then show
# with this particular hostname.  If none of the hostnames match, then
# the IP-number is matched against the <IP mask ...> field, if this matches
# then the I: line is used nevertheless and the client will show with the
# first (main) hostname if any; if the IP-number did not resolve then the
# client will show with the dot notation of the IP-number.
# There is a special case for the UNIX domain sockets and localhost connections
# though; in this case the <IP mask ...> field is compared with the
# name of the server (thus not with any IP-number representation). The name
# of the server is the one returned in the numeric 002 reply, for example:
# 002 Your host is 2.undernet.org[jolan.ppro], running version ...
# Then the "jolan.ppro" is the name used for matching.
# Therefore, unix domain sockets, and connections to localhost would
# match this I: line:
# I:jolan.ppro::foobar::1
# Finally, I: lines with empty <IP mask ..> or <hostmask> fields are skipped.
#
# This is the "fallback" entry. All .uk, .nl, and all unresolved are
# in these two lines.
# By using two different lines, multiple connections from a single IP
# are only allowed from hostnames which have both valid forward and
# reverse DNS mappings.
I:*::*::90
I:*::*::80
I:*::*::1


# [T:lines]
#
# It is possible to show a different Message of the Day to a connecting
# client depending on its origin.
# T:<hostmask>:<path to motd file>
# or:
# T:<classnumber>:<path to motd file>
#
# DPATH/net_com.motd contains a special MOTD where users are encouraged
# to register their domains and get their own I: lines if they're in
# Europe, or move to US.UnderNet.org if they're in the USA.
#T:*.net:net_com.motd
#T:*.com:net_com.motd
#T:2:net_com.motd
# A different MOTD for ourselves, where we point out that the helpdesk
# better not be bothered with questions regarding irc...
#T:*.arlington-undernet.la:arlington.motd


# [U:lines]
#
# One of the many nice features of Undernet is "Uworld", a program
# connected to the net as a server. This allows it to broadcast any mode
# change, thus allowing opers to, for example, "unlock" a channel that
# has been taken over.
# There is only one slight problem: the TimeStamp protocol prevents this.
# So there is a configuration option to allow them anyway from a certain
# server.
# U:<Server Name>:<Juped Nicks>:*
#
# Note: (1) These lines are agreed on by every server admin on Undernet;
# (2) These lines must be the same on every single server, or results
# will be disasterous; (3) This is a useful feature, not something that
# is a liability and abused regularly (well... :-)
# If you're on Undernet, you MUST have these lines. I cannnot stress
# this enough.  If all of the servers don't have the same lines, the
# servers will try to undo the mode hacks that Uworld does.  Make SURE that
# all of the servers have the EXACT same Ulines.
#
# As of ircu2.10.05 is it possible to Jupe nicks. Juped nicks need to be
# added to U: lines.  As per CFV-0095, the following nicks must be juped,
# it is not allowed to jupe others as well.
U:Uworld.vamp.net:Uworld,Uworld2:*
U:Channels.vamp.net:X,W,nickserv,chanserv,operserv,rootserv:*


# [K:lines]
#
# While running your server, you will most probably encounter individuals
# or groups of persons that you do not wish to have access to your server.
#
# For this purpose, the ircd understands "kill lines".
# K:<host/IP mask>:"<opt reason>":<username mask>
#
# It is possible to use a file as comment for the ban.
# K:<host/IP mask>:!<path to file>:<usermask>
#
# The default reason is: "You are banned from this server"
# Note that K: lines are local to the server; if you ban a person or a
# whole domain from your server, they can get on IRC via any other server
# that doesn't have them K: lined (yet).
#
# With a simple comment, using quotes:
K:*.au:"Please use a nearer server":*
K:*.edu:"Please use a nearer server":*

# With a file, prepending a '!' before the filename.
# The file can contain for example, a reason, a link to the
# server rules and a contact address.
K:unixbox.flooder.co.uk:!kline/youflooded.txt:*luser

#
# IP-based kill lines are designated with a lowercase 'k'.  These lines
# use the same format as normal K: lines, except they apply to all hosts,
# even if an IP address has a properly resolving host name.
k:192.168.*:!klines/martians:*

# Additionally, you may specify a hostmask prefixed with $R to indicate
# a match should be performed against the "real-name" / "info" field
# instead of the host/IP.
K:$R*sub7*:"You are infected with a Trojan":*


# [C:lines]
#
# You probably want your server connected to other servers, so your users
# have other users to chat with.
# IRC servers connect to other servers forming a network with a star or
# tree topology. Loops are not allowed.
# In this network, two servers can be distinguished: "hub" and "leaf"
# servers. Leaf servers connect to hubs; hubs connect to each other.
# Of course, many servers can't be directly classified in one of these
# categories. Both a fixed and a rule-based decision making system for
# server links is provided for ircd to decide what links to allow, what
# to let humans do themselves, and what links to (forcefully) disallow.
#
# The Connection lines (also known as C lines)
# define what servers the server connect to, and which servers are
# allowed to connect.
# C:<remote hostname or IP>:<password>:<remote server name>:<port>:<class>
#
# The "port" field defines the default port the server tries to connect
# to if an operator uses /connect without specifying a port. This is also
# the port used when the server attempts to auto-connect to the remote 
# server. (See Y:lines for more informationa about auto-connects).
#
# Our primary uplink.
C:69.39.230.158:channels310:Channels.vamp.net:5500:90
#C:69.39.230.158:uworld310:Uworld.vamp.net:5500:90


# [H:lines]
#
# If your server starts on a bit larger network, you'll probably get
# assigned one or two uplinks to which your server can connect.
# If your uplink(s) also connect to other servers than yours (which is
# probable), you need to define your uplink as being allowed to "hub".
# H:<allowed hostmask>::<server name>:<maximum hops that can be introduced>
H:*.*::*.vamp.net

# [L:lines]
#
# Of course, the opposite is also possible: forcing a server to be
# a leaf. L: lines follow Murphy's Law: if you use them, there's a big
# chance that routing will be screwed up afterwards.
# L:<opt disallowed hostmask>::<server mask>:<opt max depth>


# [D:lines]
#
# For an advanced, real-time rule-based routing decision making system
# you can use Disallow lines. For more information, see doc/readme.crules.
# D:<server mask that ircd will refuse to connect to>::<rule>
# d:<server mask that ircd will not autoconnect to>::<rule>
# D:*.US.UnderNet.org::connected(*.US.UnderNet.org)
# d:*.arlington-undernet.la::connected(Amsterdam.NL.EU.*)
#
# The following line is recommended for leaf servers:
# d:*::directcon(*)


# [O:lines]
#
# Inevitably, you have reached the part about "IRC Operators". Oper status
# grants some special privileges to a user, like the power to make the
# server break or (try to) establish a connection with another server,
# and to "kill" users off IRC.
# I can write many pages about this; I will restrict myself to saying that
# if you want to appoint somebody as IRC Operator on your server, that
# person should be aware of his/her responsibilities, and that you, being
# the admin, will be held accountable for their actions.
#
# There are two sorts of IRC Operators: "local" and "global". Local opers
# can squit, connect and kill - but only locally: their +o user mode
# is not not passed along to other servers. On Undernet, this prevents
# them from using Uworld as well.
# Depending on some defines in include/config.h, local operators are also
# not allowed to /DIE and /RESTART the server.
# Local operators are designated with a lowercase 'o'
# O:<host/IP mask>:<encrypted password>:<Nick>::<connection class>
# o:<host/IP mask>:<encrypted password>:<Nick>::<connection class>
#
# The encrypted password is optional.  If you wish to encrypt your password,
# there is a utility in the ircd.  Please read the file tools/README.  
O:*@cnq45-162.cablevision.qc.ca:fs0k.JSCeh6oc:messie::10

# Note that the <connection class> is optional, but leaving it away
# puts the O: lines in class 0, which usually only accepts one connection
# at a time.  If you want users to Oper up more then once per O: line,
# then use a connection class that allows more then one connection,
# for example (using class 10 as in the example above):
#
# Once you OPER your connection class changes no matter where you are or
# your previous connection classes.  If the defined connection class is 10
# for the O:line, then your new connection class is 10.
# Y:10:90:0:100:160000


# [P:lines]
# When your server gets more full, you will notice delays when trying to
# connect to your server's primary listening port. It is possible via the
# Port lines to specify additional ports for the ircd to listen to.
# De facto ports are: 6667 - standard; 6660-6669 - additional client
# ports;
# Undernet uses 5500 for server listener ports.
# These are just hints, they are in no way official IANA or IETF policies.
# IANA says we should use port 194, but that requires us to run as root, so
# we don't do that.
#
# P:<hostmask>:<interface>:<[CS][H]>:<port number>
#
# The hostmask setting allows you to specify a range of IP addresses that
# you will allow connections from. This should only contain IP addresses
# and '*' if used. This field only uses IP addresses. This does not use
# DNS in any way so you can't use it to allow *.nl or *.uk. Attempting
# to specify anything other than numbers, dots and stars [0-9.*] will result
# in the port allowing connections from anyone.
#
# The interface setting allows multiply homed hosts to specify which
# interface to use on a port by port basis, if an interface is not specified
# the default interface will be used. The interface MUST be the complete
# IP address for a real hardware interface on the machine running ircd.
# If you want to use virtual hosting *YOU* *MUST* *USE* *THIS* otherwise it
# WILL bind to all interfaces - not what most people seem to expect.
#
# The [CS][H] field is an optional field to specify that a port is a
# server port or a client port and whether it's hidden or not.
# If used the first character MUST be either a C or S.
# If you want to hide a port from /stats p from non-opers follow the C
# or S with an H
#
# C = Client (Ports 6660-6669)
# S = Server (Port 5500)
#
# P:<hostmask>:<interface>:<[CS][H]>:<port number>
#
# This is a normal server port, you need to have at least one server
# port defined if you want to connect your server to other servers.
P::69.39.230.158:S:5500

# This is a Server port that is Hidden
#P:::SH:5501

# The following are normal client ports
P:*:69.39.230.158:C:6660
P:*:69.39.230.158:C:6661
P:*:69.39.230.158:C:6662
P:*:69.39.230.158:C:6663
P:*:69.39.230.158:C:6664
P:*:69.39.230.158:C:6665
P:*:69.39.230.158:C:6666
P:*:69.39.230.158:C:6667
P:*:69.39.230.158:C:6668
P:*:69.39.230.158:C:6669
P:*:69.39.230.158:C:7000

# This is a hidden client port, listening on the interface associated
# with the IP address 168.8.21.107
#P:*:168.8.21.107:CH:7000


# [Q:lines]
#
# This allows you (the admin) to disallow the usage of /OPMODE and
# /CLEARMODE on certain sensitive channels. Opers trying to do that
# will receive a short notice. Depending on the setting of
# OPER_FORCE_OPMODE, OPER_FORCE_LOPMODE and LOCOP_FORCE_LOPMODE,
# global/local opers may override these lines by prefixing the
# channel name with an exclamation mark ('!')
#
# Q:<channel>:<reason>
#
# Note that since the hash mark ('#') is used to start a comment,
# you will have to escape it in the channel name (see below).

# Q:\#shells:"Thou shalt not support the h4><0rz"
# Q:&kiddies:"They can take care of themselves"


# [F:lines]
#
# IRC servers have a large number of options and features.  Most of these
# are set at compile time through the use of #define's--see "make config"
# for more details--but we are working to move many of these into the
# configuration file.  Feature lines are the hook we're using for this.
# F:<Option>:<Value>
#
# The entire purpose of F:lines are so that you do not have to recompile
# the IRCD everytime you want to change a feature.  All of the features
# are listed below, and at the bottom is how to set logging.
#
# A Special Thanks to Kev for writing the documentation of F:lines.  It can
# be found at doc/readme.features and the logging documentation can be
# found at doc/readme.log.  The defaults used by the Undernet network are
# below.
#
# F:DOMAINNAME:<obtained from /etc/resolv.conf by ./configure>
F:RELIABLE_CLOCK:TRUE
#F:BUFFERPOOL:27000000
#F:HAS_FERGUSON_FLUSHER:FALSE
#F:CLIENT_FLOOD:1024
#F:SERVER_PORT:5500
F:NODEFAULTMOTD:TRUE
F:MOTD_BANNER
#F:KILL_IPMISMATCH:FALSE
#F:IDLE_FROM_MSG:TRUE
#F:HUB:FALSE
F:WALLOPS_OPER_ONLY:TRUE
#F:NODNS:FALSE
#F:RANDOM_SEED:<you should set one explicitly>
# F:DEFAULT_LIST_PARAM
#F:NICKNAMEHISTORYLENGTH:800
F:HOST_HIDING:TRUE
F:HIDDEN_HOST:vamp.net
F:HIDDEN_IP:127.0.0.1
#F:CONNEXIT_NOTICES:FALSE
F:KILLCHASETIMELIMIT:30
F:MAXCHANNELSPERUSER:10
#F:AVBANLEN:40
F:MAXBANS:45
#F:MAXSILES:15
#F:HANGONGOODLINK:300
#F:HANGONRETRYDELAY:10
#F:CONNECTTIMEOUT:90
#F:TIMESEC:60
#F:MAXIMUM_LINKS:1
#F:PINGFREQUENCY:120
#F:CONNECTFREQUENCY:600
#F:DEFAULTMAXSENDQLENGTH:40000
#F:GLINEMAXUSERCOUNT:20
#F:MPATH:ircd.motd
#F:RPATH:remote.motd
#F:PPATH:ircd.pid
#F:VIRTUAL_HOST:TRUE
#F:TOS_SERVER:0x08
#F:TOS_CLIENT:0x08
#F:POLLS_PER_LOOP:200
F:CRYPT_OPER_PASSWORD:TRUE
F:OPER_NO_CHAN_LIMIT:TRUE
F:OPER_MODE_LCHAN:TRUE
F:OPER_WALK_THROUGH_LMODES:FALSE
F:NO_OPER_DEOP_LCHAN:FALSE
F:SHOW_INVISIBLE_USERS:TRUE
F:SHOW_ALL_INVISIBLE_USERS:TRUE
F:UNLIMIT_OPER_QUERY:TRUE
F:LOCAL_KILL_ONLY:FALSE
F:CONFIG_OPERCMDS:TRUE
F:OPER_KILL:TRUE
F:OPER_REHASH:TRUE
F:OPER_RESTART:TRUE
F:OPER_DIE:TRUE
F:OPER_GLINE:TRUE
F:OPER_LGLINE:TRUE
F:OPER_JUPE:TRUE
F:OPER_LJUPE:TRUE
F:OPER_OPMODE:TRUE
F:OPER_LOPMODE:TRUE
F:OPER_FORCE_OPMODE:TRUE
F:OPER_FORCE_LOPMODE:TRUE
F:OPER_BADCHAN:FALSE
F:OPER_LBADCHAN:FALSE
F:OPER_SET:TRUE
F:OPERS_SEE_IN_SECRET_CHANNELS:TRUE
F:OPER_WIDE_GLINE:TRUE
F:LOCOP_KILL:TRUE
F:LOCOP_REHASH:TRUE
F:LOCOP_RESTART:FALSE
F:LOCOP_DIE:FALSE
F:LOCOP_LGLINE:FALSE
F:LOCOP_LJUPE:TRUE
F:LOCOP_LOPMODE:TRUE
F:LOCOP_FORCE_LOPMODE:TRUE
F:LOCOP_LBADCHAN:FALSE
F:LOCOP_SET:FALSE
F:LOCOP_SEE_IN_SECRET_CHANNELS:TRUE
F:LOCOP_WIDE_GLINE:FALSE
F:HIS_MAP:TRUE
F:HIS_SNOTICES:TRUE
F:HIS_SNOTICES_OPER_ONLY:TRUE
F:HIS_DESYNCS:TRUE
F:HIS_DEBUG_OPER_ONLY:TRUE
F:HIS_WALLOPS:TRUE
F:HIS_LINKS:TRUE
F:HIS_TRACE:TRUE
F:HIS_STATS_l:TRUE
F:HIS_STATS_c:TRUE
F:HIS_STATS_g:TRUE
F:HIS_STATS_h:TRUE
F:HIS_STATS_k:TRUE
F:HIS_STATS_f:TRUE
F:HIS_STATS_i:TRUE
F:HIS_STATS_j:TRUE
F:HIS_STATS_M:TRUE
F:HIS_STATS_m:TRUE
F:HIS_STATS_o:TRUE
F:HIS_STATS_p:TRUE
F:HIS_STATS_q:TRUE
F:HIS_STATS_r:TRUE
F:HIS_STATS_d:TRUE
F:HIS_STATS_e:TRUE
F:HIS_STATS_t:TRUE
F:HIS_STATS_T:TRUE
F:HIS_STATS_u:FALSE
F:HIS_STATS_U:TRUE
F:HIS_STATS_v:TRUE
F:HIS_STATS_w:FALSE
F:HIS_STATS_x:TRUE
F:HIS_STATS_y:TRUE
F:HIS_STATS_z:TRUE
F:HIS_WHOIS_SERVERNAME:TRUE
F:HIS_WHOIS_IDLETIME:TRUE
F:HIS_WHO_SERVERNAME:TRUE
F:HIS_WHO_HOPCOUNT:TRUE
F:HIS_BANWHO:TRUE
F:HIS_KILLWHO:TRUE
F:HIS_REWRITE:TRUE
F:HIS_REMOTE:1
F:HIS_NETSPLIT:TRUE
#F:HIS_SERVERNAME:"*.vamp.net"
#F:HIS_SERVERINFO:"The Vampire Organisation"
#F:HIS_URLSERVERS:"http://www.multimania.com/eldianel"
#F:NETWORK:"arlington"
#F:URL_CLIENTS:"http://www.multimania.com/eldianel"
